# GetStatus

### Description

Returns the last license validation status. See [ELicenseStatus ](/docs/api-reference/.net-api/qlmlicense/enums/elicensestatus.md)for possible values.

```csharp
int GetStatus ()
```

### Return

| Data Type | Description |
| :-------: | ----------- |
|    int    | the status  |

### Remarks

You must always call this function after calling ValidateLicense or ValidateLicenseEx to get the result of the validation.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/getstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
